<div class="deals-wrap">
  <div class="container">
    <div class="row mt-2 mb-2">
      <div class="col padding0px common-header-h4">
        <h4>{{ 'labelTodaysDeals' | translate:lang }}</h4>
      </div>
      <div class="col padding0px" *ngIf="dealTotalLength > 0 && timer">
        <div class="count-wrap-home">
          <span class="pr-1">
            <i class="fa fa-clock-o" aria-hidden="true"></i>
          </span>
          {{timer}}
        </div>
      </div>
    </div>
  </div>
  <span *ngIf="dealTotalLength > 0">
    <div class="row">
      <div class="col-md-3 mt-2 mb-2" *ngFor="let deals of dealsList">
        <app-deals-tile [dealsDetail]="deals" [compareCount]="compareCount" [from]="from" (productAction)="getProductActionDetails($event)"></app-deals-tile>
      </div>
    </div>
    <div class="showmore-wrap">
      <div *ngIf="dealTotalLength > dealsList.length">
        <button mat-raised-button class="show-more" (click)="showMoreProducts()">{{ 'buttonShowMore' | translate:lang }}</button>
      </div>
    </div>
  </span>
  <div class="nodata-found-wrap" *ngIf="!isLoading && dealTotalLength === 0">
    <div class="nodata-found">
      <img src="assets/images/empty_product.png" />
    </div>
    <span class="align-bottom">
      {{ 'lableNoDeals' | translate: lang}}</span>
  </div>
</div>



